using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Threading.Tasks;

namespace CarbonLib.Carbon
{
    public class GamsSets
    {
        public static T ReadSets<T>(string jsonFile)
        {
            T data;
            using (StreamReader r = new StreamReader(jsonFile))
            {
                string json = r.ReadToEnd();
                data = JsonConvert.DeserializeObject<T>(json);
            }
            return data;
        }
    }
}
